<bugID>1153132<Summary>Highlighter nodeinfobar isn't correctly positioned with negative margins</Summary><Description>Created attachment 8590678
negative-margin-nodeinfobar.png

Consider the attached screenshot.
The highlighted element has a negative top margin.
This makes the nodeinfobar appear lower than it should, and therefore, on top of the element itself.
There is some logic in the BoxModelHighlighter that places the nodeinfobar correctly in all cases, but I think it considers the margin region as the outer-most region, and it uses this to place the infobar. But that, of course, is wrong in case the margin is negative.</Description></bugID>